--------------------------------------------------------------------------------------------------------
--                                            CABSkin(Custom Art Bar Skin)                                    --
--                                                V1.1 - 2019 by Dyeslee	                        --
--------------------------------------------------------------------------------------------------------
DEFAULT_CHAT_FRAME:AddMessage("|c00bfffffCABSkin|r " ..CABSkin_VERSION..SLASHLOAD, 0.0, .80, 1);
--------------------------------------------------------------------------------------------------------
--                                          SETUP BOTTOM SKIN loading                                 --
--------------------------------------------------------------------------------------------------------
-- Set frames
-- Frame 1/4
local CABSkinMainFrame1 = CreateFrame("Frame",nil,UIParent);
CABSkinMainFrame1:SetMovable(false);
CABSkinMainFrame1:EnableMouse(false);
local texture1 = CABSkinMainFrame1:CreateTexture(nil,"BACKGROUND");
-- Frame 2/4
local CABSkinMainFrame2 = CreateFrame("Frame",nil,UIParent);
CABSkinMainFrame2:SetMovable(false);
CABSkinMainFrame2:EnableMouse(false);
local texture2 = CABSkinMainFrame2:CreateTexture(nil,"BACKGROUND");
-- Frame 3/4
local CABSkinMainFrame3 = CreateFrame("Frame",nil,UIParent);
CABSkinMainFrame3:SetMovable(false);
CABSkinMainFrame3:EnableMouse(false);
local texture3 = CABSkinMainFrame3:CreateTexture(nil,"BACKGROUND");
-- Frame 4/4
local CABSkinMainFrame4 = CreateFrame("Frame",nil,UIParent);
CABSkinMainFrame4:SetMovable(false);
CABSkinMainFrame4:EnableMouse(false);
local texture4 = CABSkinMainFrame4:CreateTexture(nil,"BACKGROUND");

--font button
local CABSkinFont = CreateFont("CABSkintest");
CABSkinFont:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10,"BOLD");

-- Viewport Woldframe
function CABSkinViewport()
	WorldFrame:ClearAllPoints();
	WorldFrame:SetPoint("TOPLEFT", TEX_VIEWPORT_TL, -TEX_VIEWPORT_TR);
	WorldFrame:SetPoint("BOTTOMRIGHT", -TEX_VIEWPORT_BL, TEX_VIEWPORT_BR);
end
--Chat strata (if layer of CABSkin frame are modified)
function CABSkinChatFrame()
	if TEX_CHAT == 1 then
	ChatFrame1:SetFrameStrata("HIGH");
	ChatFrame2:SetFrameStrata("HIGH");
	end
end
-- Set Texture function
function CABSkinMain()
if TEX_CHOICE == nil then 
DEFAULT_CHAT_FRAME:AddMessage ( "ERROR : No texture set" );
-- no texture
	elseif TEX_CHOICE == "NONE" then
	CABSkinMainFrame1:Hide();
	CABSkinMainFrame2:Hide();
	CABSkinMainFrame3:Hide();
	CABSkinMainFrame4:Hide();
	else
-- Texture 1/4
	CABSkinMainFrame1:ClearAllPoints();
	CABSkinMainFrame1:SetFrameStrata(TEX_STRATA);
	CABSkinMainFrame1:SetWidth(TEX_WIDTH);
	CABSkinMainFrame1:SetAlpha(TEX_ALPHA); 	
	CABSkinMainFrame1:SetHeight(TEX_HEIGHT);
	CABSkinMainFrame1:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT",TEX_X, TEX_Y);
	texture1:SetTexture("Interface\\AddOns\\CABSkin\\Skins\\"..TEX_CHOICE.."-1");
	texture1:SetVertexColor(TEX_VERTEX_R,TEX_VERTEX_G,TEX_VERTEX_B);
	texture1:SetAllPoints(CABSkinMainFrame1);
	CABSkinMainFrame1.texture = texture1;
	CABSkinMainFrame1:Show();
	CABSkinMainFrame1:SetScale(UI_WIDTH/1920);
-- Texture 2/4
	CABSkinMainFrame2:ClearAllPoints();
	CABSkinMainFrame2:SetFrameStrata(TEX_STRATA);
	CABSkinMainFrame2:SetWidth(TEX_WIDTH); 
	CABSkinMainFrame2:SetAlpha(TEX_ALPHA);
	CABSkinMainFrame2:SetHeight(TEX_HEIGHT);
	CABSkinMainFrame2:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT",TEX_WIDTH+TEX_X, TEX_Y);
	texture2:SetTexture("Interface\\AddOns\\CABSkin\\Skins\\"..TEX_CHOICE.."-2");
	texture2:SetVertexColor(TEX_VERTEX_R,TEX_VERTEX_G,TEX_VERTEX_B);
	texture2:SetAllPoints(CABSkinMainFrame2);
	CABSkinMainFrame2.texture = texture2;
	CABSkinMainFrame2:Show();
	CABSkinMainFrame2:SetScale(UI_WIDTH/1920);
-- Texture 3/4
	CABSkinMainFrame3:ClearAllPoints();
	CABSkinMainFrame3:SetFrameStrata(TEX_STRATA);
	CABSkinMainFrame3:SetWidth(TEX_WIDTH); 
	CABSkinMainFrame3:SetAlpha(TEX_ALPHA);
	CABSkinMainFrame3:SetHeight(TEX_HEIGHT);
	CABSkinMainFrame3:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", TEX_WIDTH*2+TEX_X, TEX_Y);
	texture3:SetTexture("Interface\\AddOns\\CABSkin\\Skins\\"..TEX_CHOICE.."-3");
	texture3:SetVertexColor(TEX_VERTEX_R,TEX_VERTEX_G,TEX_VERTEX_B);
	texture3:SetAllPoints(CABSkinMainFrame3);
	CABSkinMainFrame3.texture = texture3;
	CABSkinMainFrame3:Show();
	CABSkinMainFrame3:SetScale(UI_WIDTH/1920);
-- Texture 1/4
	CABSkinMainFrame4:ClearAllPoints();
	CABSkinMainFrame4:SetFrameStrata(TEX_STRATA);
	CABSkinMainFrame4:SetWidth(TEX_WIDTH); 
	CABSkinMainFrame4:SetAlpha(TEX_ALPHA);
	CABSkinMainFrame4:SetHeight(TEX_HEIGHT);
	CABSkinMainFrame4:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", TEX_WIDTH*3+TEX_X, TEX_Y);
	texture4:SetTexture("Interface\\AddOns\\CABSkin\\Skins\\"..TEX_CHOICE.."-4");
	texture4:SetVertexColor(TEX_VERTEX_R,TEX_VERTEX_G,TEX_VERTEX_B);
	texture4:SetAllPoints(CABSkinMainFrame4);
	CABSkinMainFrame4.texture = texture4;
	CABSkinMainFrame4:Show();
	CABSkinMainFrame4:SetScale(UI_WIDTH/1920);
	end
	CABSkinViewport();
	CABSkinChatFrame();
end

--------------------------------------------------------------------------------------------------------
--                                                 EVENTS                                             --
--------------------------------------------------------------------------------------------------------
function OnEvent(self, event)
	if (event == "VARIABLES_LOADED") then
        if(not TEX_CHOICE) then TEX_CHOICE = 'DS3' end;
        if(not TEX_HEIGHT) then TEX_HEIGHT = '256' end;
		if(not UI_WIDTH) then UI_WIDTH = UIParent:GetWidth() end;
		if(not TEX_ALPHA) then TEX_ALPHA = '1' end;
		if(not TEX_WIDTH) then TEX_WIDTH = '480' end;
		if(not TEX_X) then TEX_X = '0' end;
		if(not TEX_Y) then TEX_Y = '0' end;
		if(not TEX_STRATA) then TEX_STRATA = "BACKGROUND" end;
		if(not TEX_VERTEX_R) then TEX_VERTEX_R = '1' end;
		if(not TEX_VERTEX_G) then TEX_VERTEX_G = '1' end;
		if(not TEX_VERTEX_B) then TEX_VERTEX_B = '1' end;
		if(not TEX_VIEWPORT_BL) then TEX_VIEWPORT_BL = 0 end;
		if(not TEX_VIEWPORT_BR) then TEX_VIEWPORT_BR = 0 end;
		if(not TEX_VIEWPORT_TL) then TEX_VIEWPORT_TL = 0 end;
		if(not TEX_VIEWPORT_TR) then TEX_VIEWPORT_TR = 0 end;
		if(not TEX_CHAT) then TEX_CHAT = 0 end;
		CABSkinMain();
	end
end

--------------------------------------------------------------------------------------------------------
--                                          COLORPICKER                                               --
--------------------------------------------------------------------------------------------------------
function CABSkinColor_OnClick()
	if ColorPickerFrame:IsShown() then
		ColorPickerFrame:Hide();
	else
		local red, green, blue = TEX_VERTEX_R, TEX_VERTEX_G, TEX_VERTEX_B
		ColorPickerFrame.func = CABSkinColor_ColorChange
		ColorPickerFrame.cancelFunc = CABSkinColor_CancelChanges
		ColorPickerFrame:SetColorRGB(red, green, blue)
		ColorPickerFrame.previousValues = {r = red,g = green ,b = blue}
		ShowUIPanel(ColorPickerFrame)
	end
end

function CABSkinColor_ColorChange()
	local r, g, b = ColorPickerFrame:GetColorRGB();
	TEX_VERTEX_R, TEX_VERTEX_G, TEX_VERTEX_B = r, g, b;
	CABSkinMain();
end

function CABSkinColor_CancelChanges()
	TEX_VERTEX_R = ColorPickerFrame.previousValues.r;
	TEX_VERTEX_G = ColorPickerFrame.previousValues.g;
	TEX_VERTEX_B = ColorPickerFrame.previousValues.b;
	CABSkinMain();
end

--------------------------------------------------------------------------------------------------------
--                                               Set to DEFAULT                                       --
--------------------------------------------------------------------------------------------------------
function Default()
TEX_CHOICE = 'DS3';
TEX_HEIGHT = '256';
UI_WIDTH = UIParent:GetWidth();
TEX_ALPHA = '1';
TEX_WIDTH = '480';
TEX_X = '0';
TEX_Y = '0';
TEX_STRATA = "BACKGROUND";
TEX_VERTEX_R = '1';
TEX_VERTEX_G = '1';
TEX_VERTEX_B = '1';
TEX_VIEWPORT_BL = 0;
TEX_VIEWPORT_BR = 0;
TEX_VIEWPORT_TL = 0;
TEX_VIEWPORT_TR = 0;
TEX_CHAT = 0;
CABSkinMain();
end

--------------------------------------------------------------------------------------------------------
--                                             LUA FRAME MENU                                         --
--------------------------------------------------------------------------------------------------------
-- main frame menu
local CABSkinMenuFrame = CreateFrame("Frame","CABSkinframeconfig",UIParent);
CABSkinMenuFrame:SetWidth(400);
CABSkinMenuFrame:SetHeight(480);
CABSkinMenuFrame:SetBackdrop({ bgFile = "Interface\\Tooltips\\UI-Tooltip-Background", edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = true, tileSize = 8, edgeSize = 12, insets = { left = 2, right = 2, top = 2, bottom = 2 } });
CABSkinMenuFrame:SetBackdropColor(0.1,0.1,0.2,1);
CABSkinMenuFrame:SetBackdropBorderColor(0.1,0.1,0.1,1);
CABSkinMenuFrame:SetMovable(1);
CABSkinMenuFrame:EnableMouse(1);
CABSkinMenuFrame:SetToplevel(1);
CABSkinMenuFrame:SetClampedToScreen(1);
CABSkinMenuFrame:SetPoint("CENTER");
CABSkinMenuFrame:Hide();

-- Events
CABSkinMenuFrame:RegisterEvent("VARIABLES_LOADED");
CABSkinMenuFrame:SetScript("OnEvent",OnEvent);

-- text
CABSkinMenuFrame.text1 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text1:SetFont("Interface\\AddOns\\CABSkin\\dameron3dital.ttf", 22, "");
CABSkinMenuFrame.text1:SetPoint("TOP",0,-10);
CABSkinMenuFrame.text1:SetText("CABSkin Menu");
CABSkinMenuFrame.vers = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.vers:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.vers:SetPoint("TOPRIGHT",-20,-16);
CABSkinMenuFrame.vers:SetText("Version :"..CABSkin_VERSION);
CABSkinMenuFrame.vers:SetTextColor(1,1,0.5);
CABSkinMenuFrame.text2 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text2:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.text2:SetPoint("TOPLEFT",10,-60);
CABSkinMenuFrame.text2:SetText(SKINCHOOSE);
CABSkinMenuFrame.text3 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text3:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.text3:SetPoint("TOPLEFT",10,-90);
CABSkinMenuFrame.text3:SetText(SETHEIGHT);
CABSkinMenuFrame.text4 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text4:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.text4:SetPoint("TOPLEFT",180,-90);
CABSkinMenuFrame.text4:SetText(HEIGHTDEFAULT);
CABSkinMenuFrame.text5 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text5:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.text5:SetPoint("TOPLEFT",10,-150);
CABSkinMenuFrame.text5:SetText(SETALPHA);
CABSkinMenuFrame.text6 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text6:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.text6:SetPoint("TOPLEFT",180,-150);
CABSkinMenuFrame.text6:SetText(ALPHADEFAULT);
CABSkinMenuFrame.text7 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text7:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.text7:SetPoint("TOPLEFT",10,-120);
CABSkinMenuFrame.text7:SetText(SETWIDTH);
CABSkinMenuFrame.text8 = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.text8:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.text8:SetPoint("TOPLEFT",180,-120);
CABSkinMenuFrame.text8:SetText(WIDHTDEFAULT);
CABSkinMenuFrame.placementx = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.placementx:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.placementx:SetPoint("TOPLEFT",10,-180);
CABSkinMenuFrame.placementx:SetText(CABSkinTUREPLACEX);
CABSkinMenuFrame.placementy = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.placementy:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.placementy:SetPoint("TOPLEFT",180,-180);
CABSkinMenuFrame.placementy:SetText(CABSkinTUREPLACEY);
CABSkinMenuFrame.Strata = CABSkinMenuFrame:CreateFontString(nil,"ARTWORK");
CABSkinMenuFrame.Strata:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinMenuFrame.Strata:SetPoint("TOPLEFT",10,-210);
CABSkinMenuFrame.Strata:SetText(CABSkinSTRATA);
-- moving
CABSkinMenuFrame:SetScript("OnMouseDown",function() CABSkinMenuFrame:StartMoving() end);
CABSkinMenuFrame:SetScript("OnMouseUp",function() CABSkinMenuFrame:StopMovingOrSizing() end);

-- EditBox Texture Height
local function CABSkinEdit1(self)
TEMP_TEX_HEIGHT = CABSkinMenuFrame.edit1:GetNumber();
	if TEMP_TEX_HEIGHT > 1200 then 
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> HEIGHT: Value MUST be lower or equal to 1200.");
	elseif TEMP_TEX_HEIGHT <= 1 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> HEIGHT: Value MUST be superior to 1.");
	else
	TEX_HEIGHT = TEMP_TEX_HEIGHT;
	end
end
CABSkinMenuFrame.edit1 = CreateFrame("EditBox","CABSkinEdit1",CABSkinMenuFrame,"InputBoxTemplate");
CABSkinMenuFrame.edit1:SetWidth(45);
CABSkinMenuFrame.edit1:SetHeight(21);
CABSkinMenuFrame.edit1:SetPoint("TOPLEFT",130,-85);
CABSkinMenuFrame.edit1:SetAutoFocus(nil);
CABSkinMenuFrame.edit1:SetMaxLetters(4);
CABSkinMenuFrame.edit1:SetTextColor(1.0,0.82,0);
CABSkinMenuFrame.edit1:SetText(256);

-- EditBox Set Alpha
local function CABSkinEdit4(self)
TEMP_TEX_ALPHA = CABSkinMenuFrame.edit2:GetNumber();
	if TEMP_TEX_ALPHA > 101 then 
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> TRANSPARENCY: Value MUST be lower or equal to 100.");
	elseif TEMP_TEX_ALPHA <= 1 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> TRANSPARENCY: Value MUST be superior to 1.");
	else
	TEX_ALPHA = TEMP_TEX_ALPHA/100;
	end
end
CABSkinMenuFrame.edit2 = CreateFrame("EditBox","CABSkinEdit4",CABSkinMenuFrame,"InputBoxTemplate");
CABSkinMenuFrame.edit2:SetWidth(45);
CABSkinMenuFrame.edit2:SetHeight(21);
CABSkinMenuFrame.edit2:SetPoint("TOPLEFT",130,-145);
CABSkinMenuFrame.edit2:SetAutoFocus(nil);
CABSkinMenuFrame.edit2:SetMaxLetters(4);
CABSkinMenuFrame.edit2:SetTextColor(1.0,0.82,0);
CABSkinMenuFrame.edit2:SetText(100);

-- EditBox Set Width
local function CABSkinEditWidth(self)
TEMP_TEX_WIDTH = CABSkinMenuFrame.edit3:GetNumber();
	if TEMP_TEX_WIDTH <= 1 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> WIDTH: Value MUST be superior to 1.");
	else
	TEX_WIDTH  = TEMP_TEX_WIDTH;
	end
end
CABSkinMenuFrame.edit3 = CreateFrame("EditBox","CABSkinEditWidth",CABSkinMenuFrame,"InputBoxTemplate");
CABSkinMenuFrame.edit3:SetWidth(45);
CABSkinMenuFrame.edit3:SetHeight(21);
CABSkinMenuFrame.edit3:SetPoint("TOPLEFT",130,-115);
CABSkinMenuFrame.edit3:SetAutoFocus(nil);
CABSkinMenuFrame.edit3:SetMaxLetters(4);
CABSkinMenuFrame.edit3:SetTextColor(1.0,0.82,0);
CABSkinMenuFrame.edit3:SetText(480);

-- EditBox Set placement X
local function CABSkinEditPlacementX(self)
TEMP_TEX_X = CABSkinMenuFrame.EditPlacementX:GetNumber();
TEX_X = TEMP_TEX_X;
end
CABSkinMenuFrame.EditPlacementX = CreateFrame("EditBox","CABSkinEditPlacementX",CABSkinMenuFrame,"InputBoxTemplate");
CABSkinMenuFrame.EditPlacementX:SetWidth(45);
CABSkinMenuFrame.EditPlacementX:SetHeight(21);
CABSkinMenuFrame.EditPlacementX:SetPoint("TOPLEFT",130,-175);
CABSkinMenuFrame.EditPlacementX:SetAutoFocus(nil);
CABSkinMenuFrame.EditPlacementX:SetMaxLetters(4);
CABSkinMenuFrame.EditPlacementX:SetTextColor(1.0,0.82,0);
CABSkinMenuFrame.EditPlacementX:SetText(0);

-- EditBox Set placement Y
local function CABSkinEditPlacementY(self)
TEMP_TEX_Y = CABSkinMenuFrame.EditPlacementY:GetNumber();
TEX_Y = TEMP_TEX_Y;
end
CABSkinMenuFrame.EditPlacementY = CreateFrame("EditBox","CABSkinEditPlacementY",CABSkinMenuFrame,"InputBoxTemplate");
CABSkinMenuFrame.EditPlacementY:SetWidth(45);
CABSkinMenuFrame.EditPlacementY:SetHeight(21);
CABSkinMenuFrame.EditPlacementY:SetPoint("TOPLEFT",210,-175);
CABSkinMenuFrame.EditPlacementY:SetAutoFocus(nil);
CABSkinMenuFrame.EditPlacementY:SetMaxLetters(4);
CABSkinMenuFrame.EditPlacementY:SetTextColor(1.0,0.82,0);
CABSkinMenuFrame.EditPlacementY:SetText(0);

-- ColorPicker
CABSkinMenuFrame.colorPickerButton = CreateFrame("Button",nil,CABSkinMenuFrame,"UIPanelButtonTemplate");
CABSkinMenuFrame.colorPickerButton:SetNormalFontObject(CABSkinFont);
CABSkinMenuFrame.colorPickerButton:SetWidth(100);
CABSkinMenuFrame.colorPickerButton:SetHeight(24);
CABSkinMenuFrame.colorPickerButton:SetPoint("TOPLEFT",290,-173);
CABSkinMenuFrame.colorPickerButton:SetScript("OnClick", function() CABSkinColor_OnClick(); end);
CABSkinMenuFrame.colorPickerButton:SetText(CABSkinCOLOR);

-- Close button
CABSkinMenuFrame.btnClose = CreateFrame("Button",nil,CABSkinMenuFrame,"UIPanelButtonTemplate");
CABSkinMenuFrame.btnClose:SetNormalFontObject(CABSkinFont);
CABSkinMenuFrame.btnClose:SetWidth(75);
CABSkinMenuFrame.btnClose:SetHeight(24);
CABSkinMenuFrame.btnClose:SetPoint("BOTTOMRIGHT",-15,15);
CABSkinMenuFrame.btnClose:SetScript("OnClick",function() CABSkinMenuFrame:Hide(); end);
CABSkinMenuFrame.btnClose:SetText(BTNCLOSE);

-- Apply skin button
CABSkinMenuFrame.Apply = CreateFrame("Button",nil,CABSkinMenuFrame,"UIPanelButtonTemplate");
CABSkinMenuFrame.Apply:SetNormalFontObject(CABSkinFont);
CABSkinMenuFrame.Apply:SetWidth(140);
CABSkinMenuFrame.Apply:SetHeight(24);
CABSkinMenuFrame.Apply:SetPoint("BOTTOMRIGHT",-100,15);
CABSkinMenuFrame.Apply:SetScript("OnClick",function() CABSkinEdit1();CABSkinEdit4();CABSkinEditWidth(); CABSkinEditPlacementX(); CABSkinEditPlacementY(); CABSkinMain(); end);
CABSkinMenuFrame.Apply:SetText(APPLYSKIN);

-- Reset config
CABSkinMenuFrame.reset = CreateFrame("Button",nil,CABSkinMenuFrame,"UIPanelButtonTemplate");
CABSkinMenuFrame.reset:SetNormalFontObject(CABSkinFont);
CABSkinMenuFrame.reset:SetWidth(75);
CABSkinMenuFrame.reset:SetHeight(24);
CABSkinMenuFrame.reset:SetPoint("BOTTOMRIGHT",-240,15);
CABSkinMenuFrame.reset:SetScript("OnClick",function() Default(); end);
CABSkinMenuFrame.reset:SetText(DEFAULT);

-- Viewport config
CABSkinMenuFrame.Viewport = CreateFrame("Button",nil,CABSkinMenuFrame,"UIPanelButtonTemplate");
CABSkinMenuFrame.Viewport:SetNormalFontObject(CABSkinFont);
CABSkinMenuFrame.Viewport:SetWidth(75);
CABSkinMenuFrame.Viewport:SetHeight(24);
CABSkinMenuFrame.Viewport:SetPoint("BOTTOMRIGHT",-320,15);
CABSkinMenuFrame.Viewport:SetScript("OnClick",function() CABSkinViewportFrame:Show(); CABSkinMenuFrame:Hide(); end);
CABSkinMenuFrame.Viewport:SetText(CABSkinVIEWPORT);

--------------------------------------------------------------------------------------------------------
--                                          TEXTURE PREVIEW AND FRAME                                 --
--------------------------------------------------------------------------------------------------------
local TexturePreviewFrame = CreateFrame("Frame",nil,CABSkinMenuFrame);
TexturePreviewFrame:SetPoint("BOTTOMLEFT", CABSkinMenuFrame, "BOTTOMLEFT", 20, 45);
TexturePreviewFrame:SetWidth(360);
TexturePreviewFrame:SetHeight(200);
local texture = TexturePreviewFrame:CreateTexture(nil,"BACKGROUND");
function TexturePreview()
	texture:SetTexture("Interface\\AddOns\\CABSkin\\Skins\\"..TEX_CHOICE.."-1");
	texture:SetAllPoints(TexturePreviewFrame);
	TexturePreviewFrame.texture = texture;
	TexturePreviewFrame:Show();
end

--------------------------------------------------------------------------------------------------------
--                                          Viewport                                                  --
--------------------------------------------------------------------------------------------------------
-- frame
CABSkinViewportFrame = CreateFrame("Frame","CABSkinViewportFrame",UIParent);
CABSkinViewportFrame:SetWidth(330);
CABSkinViewportFrame:SetHeight(200);
CABSkinViewportFrame:SetBackdrop({ bgFile = "Interface\\Tooltips\\UI-Tooltip-Background", edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = true, tileSize = 8, edgeSize = 12, insets = { left = 2, right = 2, top = 2, bottom = 2 } });
CABSkinViewportFrame:SetBackdropColor(0.1,0.1,0.2,1);
CABSkinViewportFrame:SetBackdropBorderColor(0.1,0.1,0.1,1);
CABSkinViewportFrame:SetMovable(1);
CABSkinViewportFrame:EnableMouse(1);
CABSkinViewportFrame:SetToplevel(1);
CABSkinViewportFrame:SetClampedToScreen(1);
CABSkinViewportFrame:SetPoint("CENTER");
CABSkinViewportFrame:Hide();
-- moving
CABSkinViewportFrame:SetScript("OnMouseDown",function() CABSkinViewportFrame:StartMoving() end);
CABSkinViewportFrame:SetScript("OnMouseUp",function() CABSkinViewportFrame:StopMovingOrSizing() end);

-- text
CABSkinViewportFrame.text1 = CABSkinViewportFrame:CreateFontString(nil,"ARTWORK");
CABSkinViewportFrame.text1:SetFont("Interface\\AddOns\\CABSkin\\dameron3dital.ttf", 14, "");
CABSkinViewportFrame.text1:SetPoint("TOP",0,-10);
CABSkinViewportFrame.text1:SetText("Viewport settings");
CABSkinViewportFrame.text2 = CABSkinViewportFrame:CreateFontString(nil,"ARTWORK");
CABSkinViewportFrame.text2:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinViewportFrame.text2:SetPoint("TOPLEFT",30,-30);
CABSkinViewportFrame.text2:SetText(VIEWPORTTXT1);
CABSkinViewportFrame.right = CABSkinViewportFrame:CreateFontString(nil,"ARTWORK");
CABSkinViewportFrame.right:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinViewportFrame.right:SetPoint("TOPLEFT",50,-85);
CABSkinViewportFrame.right:SetText(VIEWPORTRIGHT);
CABSkinViewportFrame.left = CABSkinViewportFrame:CreateFontString(nil,"ARTWORK");
CABSkinViewportFrame.left:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinViewportFrame.left:SetPoint("TOPLEFT",50,-110);
CABSkinViewportFrame.left:SetText(VIEWPORTLEFT);
CABSkinViewportFrame.bottom = CABSkinViewportFrame:CreateFontString(nil,"ARTWORK");
CABSkinViewportFrame.bottom:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinViewportFrame.bottom:SetPoint("TOPLEFT",190,-85);
CABSkinViewportFrame.bottom:SetText(VIEWPORTBOTTOM);
CABSkinViewportFrame.top = CABSkinViewportFrame:CreateFontString(nil,"ARTWORK");
CABSkinViewportFrame.top:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinViewportFrame.top:SetPoint("TOPLEFT",190,-110);
CABSkinViewportFrame.top:SetText(VIEWPORTTOP);

-- EditBox Set viewport RIGHT
local function CABSkinEditViewportBL(self)
TEMP_TEX_VIEWPORT_BL = CABSkinViewportFrame.EditBL:GetNumber();
	if TEMP_TEX_VIEWPORT_BL  < 0 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> VIEWPORT: Value MUST be superior to -1.");
	else
	TEX_VIEWPORT_BL  = TEMP_TEX_VIEWPORT_BL ;
	end
end
CABSkinViewportFrame.EditBL = CreateFrame("EditBox","CABSkinEditViewportBL",CABSkinViewportFrame,"InputBoxTemplate");
CABSkinViewportFrame.EditBL:SetWidth(45);
CABSkinViewportFrame.EditBL:SetHeight(21);
CABSkinViewportFrame.EditBL:SetPoint("TOPLEFT",130,-80);
CABSkinViewportFrame.EditBL:SetAutoFocus(nil);
CABSkinViewportFrame.EditBL:SetMaxLetters(4);
CABSkinViewportFrame.EditBL:SetTextColor(1.0,0.82,0);
CABSkinViewportFrame.EditBL:SetText(0);

-- EditBox Set Set viewport BOTTOM
local function CABSkinEditViewportBR(self)
TEMP_TEX_VIEWPORT_BR = CABSkinViewportFrame.EditBR:GetNumber();
	if TEMP_TEX_VIEWPORT_BR  < 0 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> VIEWPORT: Value MUST be superior to -1.");
	else
	TEX_VIEWPORT_BR  = TEMP_TEX_VIEWPORT_BR ;
	end
end
CABSkinViewportFrame.EditBR = CreateFrame("EditBox","CABSkinEditViewportBR",CABSkinViewportFrame,"InputBoxTemplate");
CABSkinViewportFrame.EditBR:SetWidth(45);
CABSkinViewportFrame.EditBR:SetHeight(21);
CABSkinViewportFrame.EditBR:SetPoint("TOPLEFT",230,-80);
CABSkinViewportFrame.EditBR:SetAutoFocus(nil);
CABSkinViewportFrame.EditBR:SetMaxLetters(4);
CABSkinViewportFrame.EditBR:SetTextColor(1.0,0.82,0);
CABSkinViewportFrame.EditBR:SetText(0);

-- EditBox Set viewport LEFT
local function CABSkinEditViewportTL(self)
TEMP_TEX_VIEWPORT_TL = CABSkinViewportFrame.EditTL:GetNumber();
	if TEMP_TEX_VIEWPORT_TL  < 0 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> VIEWPORT: Value MUST be superior to -1.");
	else
	TEX_VIEWPORT_TL  = TEMP_TEX_VIEWPORT_TL ;
	end
end
CABSkinViewportFrame.EditTL = CreateFrame("EditBox","CABSkinEditViewportTL",CABSkinViewportFrame,"InputBoxTemplate");
CABSkinViewportFrame.EditTL:SetWidth(45);
CABSkinViewportFrame.EditTL:SetHeight(21);
CABSkinViewportFrame.EditTL:SetPoint("TOPLEFT",130,-105);
CABSkinViewportFrame.EditTL:SetAutoFocus(nil);
CABSkinViewportFrame.EditTL:SetMaxLetters(4);
CABSkinViewportFrame.EditTL:SetTextColor(1.0,0.82,0);
CABSkinViewportFrame.EditTL:SetText(0);

-- EditBox Set Set viewport TOP
local function CABSkinEditViewportTR(self)
TEMP_TEX_VIEWPORT_TR = CABSkinViewportFrame.EditTR:GetNumber();
	if TEMP_TEX_VIEWPORT_TR  < 0 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> VIEWPORT: Value MUST be superior to -1.");
	else
	TEX_VIEWPORT_TR  = TEMP_TEX_VIEWPORT_TR ;
	end
end
CABSkinViewportFrame.EditTR = CreateFrame("EditBox","CABSkinEditViewportTR",CABSkinViewportFrame,"InputBoxTemplate");
CABSkinViewportFrame.EditTR:SetWidth(45);
CABSkinViewportFrame.EditTR:SetHeight(21);
CABSkinViewportFrame.EditTR:SetPoint("TOPLEFT",230,-105);
CABSkinViewportFrame.EditTR:SetAutoFocus(nil);
CABSkinViewportFrame.EditTR:SetMaxLetters(4);
CABSkinViewportFrame.EditTR:SetTextColor(1.0,0.82,0);
CABSkinViewportFrame.EditTR:SetText(0);

-- Close button
CABSkinViewportFrame.btnClose = CreateFrame("Button",nil,CABSkinViewportFrame,"UIPanelButtonTemplate");
CABSkinViewportFrame.btnClose:SetNormalFontObject(CABSkinFont);
CABSkinViewportFrame.btnClose:SetWidth(75);
CABSkinViewportFrame.btnClose:SetHeight(24);
CABSkinViewportFrame.btnClose:SetPoint("BOTTOMRIGHT",-15,15);
CABSkinViewportFrame.btnClose:SetScript("OnClick",function() CABSkinViewportFrame:Hide(); CABSkinMenuFrame:Show(); end);
CABSkinViewportFrame.btnClose:SetText(BTNCLOSE);

-- Apply viewport button
CABSkinViewportFrame.Apply = CreateFrame("Button",nil,CABSkinViewportFrame,"UIPanelButtonTemplate");
CABSkinViewportFrame.Apply:SetNormalFontObject(CABSkinFont);
CABSkinViewportFrame.Apply:SetWidth(140);
CABSkinViewportFrame.Apply:SetHeight(24);
CABSkinViewportFrame.Apply:SetPoint("BOTTOMRIGHT",-100,15);
CABSkinViewportFrame.Apply:SetScript("OnClick",function() CABSkinEditViewportBL();CABSkinEditViewportBR();CABSkinEditViewportTL();CABSkinEditViewportTR(); CABSkinViewport(); end);
CABSkinViewportFrame.Apply:SetText(SETVIEWPORT);

-- Reset config
CABSkinViewportFrame.reset = CreateFrame("Button",nil,CABSkinViewportFrame,"UIPanelButtonTemplate");
CABSkinViewportFrame.reset:SetNormalFontObject(CABSkinFont);
CABSkinViewportFrame.reset:SetWidth(75);
CABSkinViewportFrame.reset:SetHeight(24);
CABSkinViewportFrame.reset:SetPoint("BOTTOMRIGHT",-240,15);
CABSkinViewportFrame.reset:SetScript("OnClick",function() TEX_VIEWPORT_BL = 0; TEX_VIEWPORT_BR = 0; TEX_VIEWPORT_TL = 0; TEX_VIEWPORT_TR = 0; CABSkinViewport(); end);
CABSkinViewportFrame.reset:SetText(DEFAULT);
--------------------------------------------------------------------------------------------------------
--                                          LOAD CUSTOM TEXTURE                                       --
--------------------------------------------------------------------------------------------------------
-- frame
local CABSkinCustomFrame = CreateFrame("Frame","CABSkinframeconfig",UIParent);
CABSkinCustomFrame:SetWidth(450);
CABSkinCustomFrame:SetHeight(340);
CABSkinCustomFrame:SetBackdrop({ bgFile = "Interface\\Tooltips\\UI-Tooltip-Background", edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = true, tileSize = 8, edgeSize = 12, insets = { left = 2, right = 2, top = 2, bottom = 2 } });
CABSkinCustomFrame:SetBackdropColor(0.1,0.1,0.2,1);
CABSkinCustomFrame:SetBackdropBorderColor(0.1,0.1,0.1,1);
CABSkinCustomFrame:SetMovable(1);
CABSkinCustomFrame:EnableMouse(1);
CABSkinCustomFrame:SetToplevel(1);
CABSkinCustomFrame:SetClampedToScreen(1);
CABSkinCustomFrame:SetPoint("CENTER");
CABSkinCustomFrame:Hide();
-- moving
CABSkinCustomFrame:SetScript("OnMouseDown",function() CABSkinCustomFrame:StartMoving() end);
CABSkinCustomFrame:SetScript("OnMouseUp",function() CABSkinCustomFrame:StopMovingOrSizing() end);

-- text
CABSkinCustomFrame.text1 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text1:SetFont("Interface\\AddOns\\CABSkin\\dameron3dital.ttf", 14, "");
CABSkinCustomFrame.text1:SetPoint("TOP",0,-10);
CABSkinCustomFrame.text1:SetText("Load Custom Texture pack");
CABSkinCustomFrame.text2 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text2:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text2:SetPoint("TOPLEFT",10,-50);
CABSkinCustomFrame.text2:SetText(CUSTOMRULES1);
CABSkinCustomFrame.text3 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text3:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text3:SetPoint("TOPLEFT",10,-65);
CABSkinCustomFrame.text3:SetText(CUSTOMRULES2);
CABSkinCustomFrame.text4 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text4:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text4:SetPoint("TOPLEFT",10,-80);
CABSkinCustomFrame.text4:SetText(CUSTOMRULES3);
CABSkinCustomFrame.text5 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text5:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text5:SetPoint("TOPLEFT",10,-95);
CABSkinCustomFrame.text5:SetText(CUSTOMRULES4);
CABSkinCustomFrame.text6 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text6:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text6:SetPoint("TOPLEFT",10,-110);
CABSkinCustomFrame.text6:SetText(CUSTOMRULES5);
CABSkinCustomFrame.text7 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text7:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text7:SetPoint("TOPLEFT",10,-125);
CABSkinCustomFrame.text7:SetText(CUSTOMRULES6);
CABSkinCustomFrame.text8 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text8:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text8:SetPoint("TOPLEFT",10,-150);
CABSkinCustomFrame.text8:SetText(CUSTOMSETNAME );
CABSkinCustomFrame.text9 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text9:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text9:SetPoint("TOPLEFT",10,-170);
CABSkinCustomFrame.text9:SetText(SETHEIGHT );
CABSkinCustomFrame.text10 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text10:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text10:SetPoint("TOPLEFT",10,-210);
CABSkinCustomFrame.text10:SetText(SETALPHA);
CABSkinCustomFrame.text11 = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.text11:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.text11:SetPoint("TOPLEFT",10,-190);
CABSkinCustomFrame.text11:SetText(SETWIDTH);
CABSkinCustomFrame.placementx = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.placementx:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.placementx:SetPoint("TOPLEFT",10,-230);
CABSkinCustomFrame.placementx:SetText(CABSkinTUREPLACEX);
CABSkinCustomFrame.placementy = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.placementy:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.placementy:SetPoint("TOPLEFT",180,-230);
CABSkinCustomFrame.placementy:SetText(CABSkinTUREPLACEY);
CABSkinCustomFrame.Strata = CABSkinCustomFrame:CreateFontString(nil,"ARTWORK");
CABSkinCustomFrame.Strata:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
CABSkinCustomFrame.Strata:SetPoint("TOPLEFT",10,-250);
CABSkinCustomFrame.Strata:SetText(CABSkinSTRATA);

-- editbox Set Custom texture
CABSkinCustomFrame.edit1 = CreateFrame("EditBox","CABSkinEdit2",CABSkinCustomFrame,"InputBoxTemplate");
CABSkinCustomFrame.edit1:SetWidth(120);
CABSkinCustomFrame.edit1:SetHeight(20);
CABSkinCustomFrame.edit1:SetPoint("TOPLEFT",130,-145);
CABSkinCustomFrame.edit1:SetAutoFocus(nil);
CABSkinCustomFrame.edit1:SetTextColor(1.0,0.82,0);
CABSkinCustomFrame.edit1:SetText("Custom Texure");
local function CABSkinEdit2(self)
TEMP_TEX_CHOICE = CABSkinCustomFrame.edit1:GetText();
	if TEMP_TEX_CHOICE == nil then 
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> TEXTURE NAME: Value cannot be nil.");
	else
	TEX_CHOICE = TEMP_TEX_CHOICE;
	end
end

-- editbox Set Custom Height
CABSkinCustomFrame.edit2 = CreateFrame("EditBox","CABSkinEdit3",CABSkinCustomFrame,"InputBoxTemplate");
CABSkinCustomFrame.edit2:SetWidth(45);
CABSkinCustomFrame.edit2:SetHeight(20);
CABSkinCustomFrame.edit2:SetPoint("TOPLEFT",130,-165);
CABSkinCustomFrame.edit2:SetAutoFocus(nil);
CABSkinCustomFrame.edit2:SetTextColor(1.0,0.82,0);
CABSkinCustomFrame.edit2:SetText(256);
local function CABSkinEdit3(self)
TEMP_TEX_HEIGHT = CABSkinCustomFrame.edit2:GetNumber();
	if TEMP_TEX_HEIGHT >= 1200 then 
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> HEIGHT: Value MUST be lower or equal to 1200.");
	elseif TEMP_TEX_HEIGHT <= 1 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> HEIGHT: Value MUST be superior to 1.");
	else
	TEX_HEIGHT = TEMP_TEX_HEIGHT;
	end
end

-- EditBox Set Custom Width
local function CABSkinEditCustomWidth(self)
TEMP_TEX_WIDTH = CABSkinCustomFrame.edit4:GetNumber();
	if TEMP_TEX_WIDTH <= 1 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> WIDTH: Value MUST be superior to 1.");
	else
	TEX_WIDTH  = TEMP_TEX_WIDTH;
	end
end
CABSkinCustomFrame.edit4 = CreateFrame("EditBox","CABSkinEditCustomWidth",CABSkinCustomFrame,"InputBoxTemplate");
CABSkinCustomFrame.edit4:SetWidth(45);
CABSkinCustomFrame.edit4:SetHeight(21);
CABSkinCustomFrame.edit4:SetPoint("TOPLEFT",130,-185);
CABSkinCustomFrame.edit4:SetAutoFocus(nil);
CABSkinCustomFrame.edit4:SetMaxLetters(4);
CABSkinCustomFrame.edit4:SetTextColor(1.0,0.82,0);
CABSkinCustomFrame.edit4:SetText(480);

-- EditBox Set Custom Alpha
local function CABSkinEdit5(self)
TEMP_TEX_ALPHA = CABSkinCustomFrame.edit3:GetNumber();
	if TEMP_TEX_ALPHA > 101 then 
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> TRANSPARENCY: Value MUST be lower or equal to 100.");
	elseif TEMP_TEX_ALPHA <= 1 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> TRANSPARENCY: Value MUST be superior to 1.");
	else
	TEX_ALPHA = TEMP_TEX_ALPHA/100;
	end
end
CABSkinCustomFrame.edit3 = CreateFrame("EditBox","CABSkinEdit5",CABSkinCustomFrame,"InputBoxTemplate");
CABSkinCustomFrame.edit3:SetWidth(45);
CABSkinCustomFrame.edit3:SetHeight(21);
CABSkinCustomFrame.edit3:SetPoint("TOPLEFT",130,-205);
CABSkinCustomFrame.edit3:SetAutoFocus(nil);
CABSkinCustomFrame.edit3:SetMaxLetters(4);
CABSkinCustomFrame.edit3:SetTextColor(1.0,0.82,0);
CABSkinCustomFrame.edit3:SetText(100);

-- EditBox Set Custom placement X
local function CABSkinEditPlacementXCustom(self)
TEMP_TEX_X = CABSkinCustomFrame.EditPlacementX:GetNumber();
	if TEMP_TEX_X  < 0 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> POSITION X :Value MUST be superior to -1.");
	else
	TEX_X  = TEMP_TEX_X ;
	end
end
CABSkinCustomFrame.EditPlacementX = CreateFrame("EditBox","CABSkinEditPlacementXCustom",CABSkinCustomFrame,"InputBoxTemplate");
CABSkinCustomFrame.EditPlacementX:SetWidth(45);
CABSkinCustomFrame.EditPlacementX:SetHeight(21);
CABSkinCustomFrame.EditPlacementX:SetPoint("TOPLEFT",130,-225);
CABSkinCustomFrame.EditPlacementX:SetAutoFocus(nil);
CABSkinCustomFrame.EditPlacementX:SetMaxLetters(4);
CABSkinCustomFrame.EditPlacementX:SetTextColor(1.0,0.82,0);
CABSkinCustomFrame.EditPlacementX:SetText(0);

-- EditBox Set Custom placement Y
local function CABSkinEditPlacementYCustom(self)
TEMP_TEX_Y = CABSkinCustomFrame.EditPlacementY:GetNumber();
	if TEMP_TEX_Y  < 0 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> POSITION Y :Value MUST be superior to -1.");
	else
	TEX_Y  = TEMP_TEX_Y ;
	end
end
CABSkinCustomFrame.EditPlacementY = CreateFrame("EditBox","CABSkinEditPlacementYCustom",CABSkinCustomFrame,"InputBoxTemplate");
CABSkinCustomFrame.EditPlacementY:SetWidth(45);
CABSkinCustomFrame.EditPlacementY:SetHeight(21);
CABSkinCustomFrame.EditPlacementY:SetPoint("TOPLEFT",210,-225);
CABSkinCustomFrame.EditPlacementY:SetAutoFocus(nil);
CABSkinCustomFrame.EditPlacementY:SetMaxLetters(4);
CABSkinCustomFrame.EditPlacementY:SetTextColor(1.0,0.82,0);
CABSkinCustomFrame.EditPlacementY:SetText(0);

-- ColorPicker
CABSkinCustomFrame.colorPickerButton = CreateFrame("Button",nil,CABSkinCustomFrame,"UIPanelButtonTemplate");
CABSkinCustomFrame.colorPickerButton:SetNormalFontObject(CABSkinFont);
CABSkinCustomFrame.colorPickerButton:SetWidth(100);
CABSkinCustomFrame.colorPickerButton:SetHeight(24);
CABSkinCustomFrame.colorPickerButton:SetPoint("TOPLEFT",290,-245);
CABSkinCustomFrame.colorPickerButton:SetScript("OnClick", function() CABSkinColor_OnClick(); end);
CABSkinCustomFrame.colorPickerButton:SetText(CABSkinCOLOR);

-- Close button
CABSkinCustomFrame.btnClose = CreateFrame("Button",nil,CABSkinCustomFrame,"UIPanelButtonTemplate");
CABSkinCustomFrame.btnClose:SetNormalFontObject(CABSkinFont);
CABSkinCustomFrame.btnClose:SetWidth(75);
CABSkinCustomFrame.btnClose:SetHeight(24);
CABSkinCustomFrame.btnClose:SetPoint("BOTTOMRIGHT",-15,15);
CABSkinCustomFrame.btnClose:SetScript("OnClick",function() CABSkinCustomFrame:Hide(); end);
CABSkinCustomFrame.btnClose:SetText(BTNCLOSE);

-- Cancel button
CABSkinCustomFrame.btnCanc = CreateFrame("Button",nil,CABSkinCustomFrame,"UIPanelButtonTemplate");
CABSkinCustomFrame.btnCanc:SetNormalFontObject(CABSkinFont);
CABSkinCustomFrame.btnCanc:SetWidth(75);
CABSkinCustomFrame.btnCanc:SetHeight(24);
CABSkinCustomFrame.btnCanc:SetPoint("BOTTOMRIGHT",-100,15);
CABSkinCustomFrame.btnCanc:SetScript("OnClick",function() CABSkinCustomFrame:Hide(); CABSkinMenuFrame:Show(); end);
CABSkinCustomFrame.btnCanc:SetText(BTNCANCEL);

-- Apply skin button
CABSkinCustomFrame.Apply = CreateFrame("Button",nil,CABSkinCustomFrame,"UIPanelButtonTemplate");
CABSkinCustomFrame.Apply:SetNormalFontObject(CABSkinFont);
CABSkinCustomFrame.Apply:SetWidth(140);
CABSkinCustomFrame.Apply:SetHeight(24);
CABSkinCustomFrame.Apply:SetPoint("BOTTOMRIGHT",-190,15);
CABSkinCustomFrame.Apply:SetScript("OnClick",function() CABSkinEdit2(); CABSkinEdit3(); CABSkinEdit5(); CABSkinEditCustomWidth(); CABSkinEditPlacementXCustom(); CABSkinEditPlacementYCustom(); CABSkinMain(); end);
CABSkinCustomFrame.Apply:SetText(APPLYSKIN);

--------------------------------------------------------------------------------------------------------
--                                             DROPDOWN MENU SKIN CHOOSE                              --
--------------------------------------------------------------------------------------------------------
local CABSkinDropDownMenu = CreateFrame("Frame", "CABSkinDropDownMenu", CABSkinMenuFrame, "UIDropDownMenuTemplate"); 
CABSkinDropDownMenu:SetPoint("TOPLEFT",106,-55);
UIDropDownMenu_SetWidth(CABSkinDropDownMenu, 155);
-- initialise fonction
function CABSkinDropDownMenu_Initialise()
	level = 1 ;
	info = UIDropDownMenu_CreateInfo();
	--menu item1
	info.text = "Fade to Black"; 
	info.value = 0; 
	info.func = CABSkin; 
	info.owner = CABSkinDropDownMenu; 
	info.checked = nil; 
	info.icon = nil; 
	UIDropDownMenu_AddButton(info, level); 
	--menu item2
	info.text = "Sharp Blue Frame w/ transparent boxes";
	info.value = 1;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item3
	info.text = "Demonic by ZetaPrime82";
	info.value = 2;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item4
	info.text = "Lava Frame w/ Dark Transparent boxes";
	info.value = 3;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item5
	info.text = "Steampunk Rnd Map";
	info.value = 4;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item6
	info.text = "Molten Wall";
	info.value = 5;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item7
	info.text = "Lava Flow";
	info.value = 6;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item8
	info.text = "Vibrant wall";
	info.value = 7;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item9
	info.text = "Scratched Steel";
	info.value = 8;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item10
	info.text = "Elf Grass";
	info.value = 9;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item11
	info.text = "RedWood";
	info.value = 10;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item12
	info.text = "Blue Frame w/ transparent wood grain";
	info.value = 11;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item13
	info.text = "<CUSTOM SKIN> (open a new window)";
	info.value = 12;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
	--menu item14
	info.text = "No Texture";
	info.value = 13;
	info.func = CABSkin;
	info.owner = CABSkinDropDownMenu;
	info.checked = nil;
	info.icon = nil;
	UIDropDownMenu_AddButton(info, level);
end
-- Initialise
UIDropDownMenu_Initialize(CABSkinDropDownMenu, CABSkinDropDownMenu_Initialise);
ToggleDropDownMenu(1, nil, CABSkinDropDownMenu, self, -20, 0);
-- Choice
function CABSkin(self)
  UIDropDownMenu_SetSelectedValue(self.owner, self.value);
  if (self.value == 0) then
  TEX_CHOICE = "F2B";
  TexturePreview();
  elseif (self.value == 1) then
  TEX_CHOICE = "Blue01";
  TexturePreview();
  elseif (self.value == 2) then
  TEX_CHOICE = "ZP";
  TexturePreview();
  elseif (self.value == 3) then
  TEX_CHOICE = "Lava";
  TexturePreview();
  elseif (self.value == 4) then
  TEX_CHOICE = "SPGT";
  TexturePreview();
  elseif (self.value == 5) then
  TEX_CHOICE = "Wall01";
  TexturePreview();
  elseif (self.value == 6) then
  TEX_CHOICE = "Wall02";
  TexturePreview();
  elseif (self.value == 7) then
  TEX_CHOICE = "VW";
  TexturePreview();
  elseif (self.value == 8) then
  TEX_CHOICE = "Wall04";
  TexturePreview();
  elseif (self.value == 9) then
  TEX_CHOICE = "Wall05";
  TexturePreview();
  elseif (self.value == 10) then
  TEX_CHOICE = "Wall03";
  TexturePreview();
  elseif (self.value == 11) then
  TEX_CHOICE = "ElfBark01";
  TexturePreview();
  elseif (self.value == 12) then
  TEX_CHOICE = "Custom Texture"
  CABSkinMenuFrame:Hide();
  CABSkinCustomFrame:Show();
    elseif (self.value == 13) then
  TEX_CHOICE = "NONE"
  TexturePreviewFrame:Hide();
  end
end

--------------------------------------------------------------------------------------------------------
--                                          DropDown FRAME STRATA MENU                                --
--------------------------------------------------------------------------------------------------------
local CABSkinSTRATADropDownMenu = CreateFrame("Frame", "CABSkinSTRATADropDownMenu", CABSkinMenuFrame, "UIDropDownMenuTemplate"); 
CABSkinSTRATADropDownMenu:SetPoint("TOPLEFT",106,-200);
UIDropDownMenu_SetWidth(CABSkinSTRATADropDownMenu, 145);
-- initialise fonction
function CABSkinSTRATADropDownMenu_Initialise()
	level = 1 ;
	info = UIDropDownMenu_CreateInfo();
	--menu item0
	info.text = "BACKGROUND(recommanded)"; 
	info.value = 0; 
	info.func = CABSkinSTRATADropDownMenu_OnClick; 
	info.owner = CABSkinSTRATADropDownMenu; 
	info.checked = nil; 
	info.icon = nil; 
	UIDropDownMenu_AddButton(info, level);
	--menu item1
	info.text = "LOW"; 
	info.value = 1; 
	info.func = CABSkinSTRATADropDownMenu_OnClick; 
	info.owner = CABSkinSTRATADropDownMenu; 
	info.checked = nil; 
	info.icon = nil; 
	UIDropDownMenu_AddButton(info, level);
	--menu item2
	info.text = "MEDIUM"; 
	info.value = 2; 
	info.func = CABSkinSTRATADropDownMenu_OnClick; 
	info.owner = CABSkinSTRATADropDownMenu; 
	info.checked = nil; 
	info.icon = nil; 
	UIDropDownMenu_AddButton(info, level);
end
-- Initialise
UIDropDownMenu_Initialize(CABSkinSTRATADropDownMenu, CABSkinSTRATADropDownMenu_Initialise);
ToggleDropDownMenu(1, nil, CABSkinSTRATADropDownMenu, self, -20, 0);
-- Choice
function CABSkinSTRATADropDownMenu_OnClick(self)
  UIDropDownMenu_SetSelectedValue(self.owner, self.value);
  if (self.value == 0) then
  TEX_STRATA = "BACKGROUND";
  TEX_CHAT = 0;
  elseif (self.value == 1) then
  TEX_STRATA = "LOW";
  TEX_CHAT = 1;
  elseif (self.value == 2) then
  TEX_STRATA = "MEDIUM";
  TEX_CHAT = 1;
  end
end

--------------------------------------------------------------------------------------------------------
--                                          DropDown FRAME STRATA CUSTOM                              --
--------------------------------------------------------------------------------------------------------
local CABSkinSTRATADropDownMenuCUSTOM = CreateFrame("Frame", "CABSkinSTRATADropDownMenuCUSTOM", CABSkinCustomFrame, "UIDropDownMenuTemplate"); 
CABSkinSTRATADropDownMenuCUSTOM:SetPoint("TOPLEFT",106,-245);
UIDropDownMenu_SetWidth(CABSkinSTRATADropDownMenuCUSTOM, 145);
-- initialise fonction
function CABSkinSTRATADropDownMenuCUSTOM_Initialise()
	level = 1 ;
	info = UIDropDownMenu_CreateInfo();
	--menu item0
	info.text = "BACKGROUND(recommanded)"; 
	info.value = 0; 
	info.func = CABSkinSTRATADropDownMenuCUSTOM_OnClick; 
	info.owner = CABSkinSTRATADropDownMenuCUSTOM; 
	info.checked = nil; 
	info.icon = nil; 
	UIDropDownMenu_AddButton(info, level);
	--menu item1
	info.text = "LOW"; 
	info.value = 1; 
	info.func = CABSkinSTRATADropDownMenuCUSTOM_OnClick; 
	info.owner = CABSkinSTRATADropDownMenuCUSTOM; 
	info.checked = nil; 
	info.icon = nil; 
	UIDropDownMenu_AddButton(info, level);
	--menu item2
	info.text = "MEDIUM"; 
	info.value = 2; 
	info.func = CABSkinSTRATADropDownMenuCUSTOM_OnClick; 
	info.owner = CABSkinSTRATADropDownMenuCUSTOM; 
	info.checked = nil; 
	info.icon = nil; 
	UIDropDownMenu_AddButton(info, level);
end
-- Initialise
UIDropDownMenu_Initialize(CABSkinSTRATADropDownMenuCUSTOM, CABSkinSTRATADropDownMenuCUSTOM_Initialise);
ToggleDropDownMenu(1, nil, CABSkinSTRATADropDownMenuCUSTOM, self, -20, 0);
-- Choice
function CABSkinSTRATADropDownMenuCUSTOM_OnClick(self)
  UIDropDownMenu_SetSelectedValue(self.owner, self.value);
  if (self.value == 0) then
  TEX_STRATA = "BACKGROUND";
  TEX_CHAT = 0;
  elseif (self.value == 1) then
  TEX_STRATA = "LOW";
  TEX_CHAT = 1;
  elseif (self.value == 2) then
  TEX_STRATA = "MEDIUM";
  TEX_CHAT = 1;
  end
end

--------------------------------------------------------------------------------------------------------
--                                              SLASH MENU                                            --
--------------------------------------------------------------------------------------------------------
_G["SLASH_CABSkin1"] = "/CABSkin";
_G["SLASH_CABSkin2"] = "/CS";
SlashCmdList["CABSkin"] = function(cmd)
	-- Extract Parameters
	local param1, param2 = cmd:match("^([^%s]+)%s*(.*)$");
	param1 = (param1 and param1:lower() or cmd:lower());
	-- Options
	if (param1 == "") then
		DEFAULT_CHAT_FRAME:AddMessage("|c00bfffffCABSkin|r " ..CABSkin_VERSION.." Slash command :", 0.0, .80, 1);
		DEFAULT_CHAT_FRAME:AddMessage(SLASHCS);
		DEFAULT_CHAT_FRAME:AddMessage(SLASHCONF);
		DEFAULT_CHAT_FRAME:AddMessage(SLASHRESET);
		DEFAULT_CHAT_FRAME:AddMessage(SLASHREMOVE);
		DEFAULT_CHAT_FRAME:AddMessage(SLASHCUSTOM);
		DEFAULT_CHAT_FRAME:AddMessage(SLASHVIEWPORT);
	end
	if cmd == "menu" then
		CABSkinMenuFrame:Show();
	end	
	if cmd == "reset" then
		Default();
	end	
	if cmd == "remove" then
		TEX_CHOICE = "NONE";
		CABSkinMain();
	end	
	if cmd == "custom" then
		CABSkinCustomFrame:Show();
	end	
	if cmd == "viewport" then
		CABSkinViewportFrame:Show();
	end	
end

--------------------------------------------------------------------------------------------------------
--                                          DISPLAY GRID                                              --
--------------------------------------------------------------------------------------------------------
-- frame
PanelGridConfigFrame = CreateFrame("Frame","PanelGridConfigFrame",CABSkinMenuFrame);
PanelGridConfigFrame:SetWidth(90);
PanelGridConfigFrame:SetHeight(60);
PanelGridConfigFrame:SetBackdrop({ edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = true, tileSize = 8, edgeSize = 12, insets = { left = 2, right = 2, top = 2, bottom = 2 } });
PanelGridConfigFrame:SetBackdropColor(0.1,0.1,0.2,1);
PanelGridConfigFrame:SetBackdropBorderColor(0.1,0.1,0.1,1);
PanelGridConfigFrame:SetToplevel(1);
PanelGridConfigFrame:SetPoint("TOPRIGHT",-10,-55);
PanelGridConfigFrame:Show();
-- editbox button size
PanelGridConfigFrame.Size = CreateFrame("EditBox","CABSkinEditCABSkinMenuFrameGridSize",PanelGridConfigFrame,"InputBoxTemplate");
PanelGridConfigFrame.Size:SetWidth(20);
PanelGridConfigFrame.Size:SetHeight(20);
PanelGridConfigFrame.Size:SetPoint("TOPLEFT",55,-30);
PanelGridConfigFrame.Size:SetAutoFocus(nil);
PanelGridConfigFrame.Size:SetTextColor(1.0,0.82,0);
PanelGridConfigFrame.Size:SetText(50);
PanelGridConfigFrame.btnCheckGridText = PanelGridConfigFrame:CreateFontString(nil,"ARTWORK");
PanelGridConfigFrame.btnCheckGridText:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
PanelGridConfigFrame.btnCheckGridText:SetPoint("TOPLEFT",10,-35);
PanelGridConfigFrame.btnCheckGridText:SetText(CABSkinBOXSTEP);

--Check button grid
local function CheckButton_OnClick(self)
	local status = self:GetChecked() and true or false;
	if status then
		PlaySound(SOUNDKIT.IG_MAINMENU_OPTION_CHECKBOX_ON);
		CABSkinDisplayGrid();
	else
		PlaySound(SOUNDKIT.IG_MAINMENU_OPTION_CHECKBOX_OFF);
		CABSkinGrid:Hide();
	end
end
PanelGridConfigFrame.btnCheckGrid = CreateFrame("CheckButton", nil, PanelGridConfigFrame);
PanelGridConfigFrame.btnCheckGrid:SetWidth(26);
PanelGridConfigFrame.btnCheckGrid:SetHeight(26);
PanelGridConfigFrame.btnCheckGrid:SetPoint("TOPLEFT",5,-5);
PanelGridConfigFrame.btnCheckGrid:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
PanelGridConfigFrame.btnCheckGrid:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
PanelGridConfigFrame.btnCheckGrid:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight");
PanelGridConfigFrame.btnCheckGrid:SetDisabledCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check-Disabled");
PanelGridConfigFrame.btnCheckGrid:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
PanelGridConfigFrame.btnCheckGrid:SetScript("OnClick", CheckButton_OnClick);
PanelGridConfigFrame.btnCheckGridText = PanelGridConfigFrame:CreateFontString(nil,"ARTWORK");
PanelGridConfigFrame.btnCheckGridText:SetFont("Interface\\AddOns\\CABSkin\\CABSkin.ttf", 10, "");
PanelGridConfigFrame.btnCheckGridText:SetPoint("TOPLEFT",30,-10);
PanelGridConfigFrame.btnCheckGridText:SetText(CABSkinSHOWGRID);

function CABSkinDisplayGrid()
	local CABSkinGridBoxSize = PanelGridConfigFrame.Size:GetNumber();
	if CABSkinGridBoxSize <= 1 then
	DEFAULT_CHAT_FRAME:AddMessage("CABSkin >> Value MUST be superior to 1.");
	return;
	end
	local CABSkinGridWidthStep = GetScreenWidth() / CABSkinGridBoxSize;
	local CABSkinGridHeightStep = (GetScreenHeight() * (GetScreenWidth() / GetScreenHeight())) / CABSkinGridBoxSize;
	-- frame
	CABSkinGrid = CreateFrame('Frame', nil, UIParent);
	CABSkinGrid:SetAllPoints(UIParent);
	-- drawing
	for i = 0, CABSkinGridBoxSize do 
		local CABSkinGridTexture = CABSkinGrid:CreateTexture(nil, 'BACKGROUND');
		if i == CABSkinGridBoxSize / 2 then CABSkinGridTexture:SetColorTexture(1, 0, 0, 0.5); 
		else CABSkinGridTexture:SetColorTexture(0, 0, 0, 0.5);
		end 
		CABSkinGridTexture:SetPoint("TOPLEFT", CABSkinGrid, "TOPLEFT", i*CABSkinGridWidthStep - 1, 0); 
		CABSkinGridTexture:SetPoint('BOTTOMRIGHT', CABSkinGrid, 'BOTTOMLEFT', i*CABSkinGridWidthStep + 1, 0); 
	end 
	do
		local CABSkinGridTexture = CABSkinGrid:CreateTexture(nil, 'BACKGROUND') 
		CABSkinGridTexture:SetColorTexture(1, 0, 0, 0.5)
		CABSkinGridTexture:SetPoint("TOPLEFT", CABSkinGrid, "TOPLEFT", 0, -(GetScreenHeight()/2) + 1)
		CABSkinGridTexture:SetPoint('BOTTOMRIGHT', CABSkinGrid, 'TOPRIGHT', 0, -(GetScreenHeight()/2 + 1))
	end
	for i = 1, math.floor((GetScreenHeight()/2)/CABSkinGridHeightStep) do
		local CABSkinGridTexture = CABSkinGrid:CreateTexture(nil, 'BACKGROUND') 
		CABSkinGridTexture:SetColorTexture(0, 0, 0, 0.5)
		CABSkinGridTexture:SetPoint("TOPLEFT", CABSkinGrid, "TOPLEFT", 0, -(GetScreenHeight()/2+i*CABSkinGridHeightStep) + 1)
		CABSkinGridTexture:SetPoint('BOTTOMRIGHT', CABSkinGrid, 'TOPRIGHT', 0, -(GetScreenHeight()/2+i*CABSkinGridHeightStep + 1))
		CABSkinGridTexture = CABSkinGrid:CreateTexture(nil, 'BACKGROUND') 
		CABSkinGridTexture:SetColorTexture(0, 0, 0, 0.5)	
		CABSkinGridTexture:SetPoint("TOPLEFT", CABSkinGrid, "TOPLEFT", 0, -(GetScreenHeight()/2-i*CABSkinGridHeightStep) + 1)
		CABSkinGridTexture:SetPoint('BOTTOMRIGHT', CABSkinGrid, 'TOPRIGHT', 0, -(GetScreenHeight()/2-i*CABSkinGridHeightStep + 1))
	end
end