﻿--------------------------------------------------------------------------------------------------------
--                                            CABSkin(Custom Art Bar Skin)                                    --
--                                                V1.1 - 2019 by Dyeslee                              --

--------------------------------------------------------------------------------------------------------
--                                              VARIABLES & MISC                                      --
--------------------------------------------------------------------------------------------------------
CABSkin_VERSION = "1.1";

--------------------------------------------------------------------------------------------------------
--                                          Default 				                      --
--------------------------------------------------------------------------------------------------------
-- Slash command
SLASHLOAD = " by Dyeslee is loaded. |c00bfffffUse '/CS Menu' for configuration options.|r";
SLASHCS = "- you can use /CS for shortcut to /CABSkin.";
SLASHCONF = "- /CS Menu: for config.";
SLASHRESET = "- /CABSkin reset : for default.";
SLASHREMOVE = "- /CABSkin remove : remove actual skin.";
SLASHCUSTOM = "- /CABSkin custom : toggle custom config windows.";
SLASHVIEWPORT = "- /CABSkin viewport : toggle viewport menu";
-- config menu
SKINCHOOSE = "Choose the skin :";
SETHEIGHT = "Set Height :";
HEIGHTDEFAULT = "(Default value is 256).";
SETALPHA = "Set Transparency :";
ALPHADEFAULT = "(Default value is 100%).";
SETWIDTH = "Set Width :";
WIDHTDEFAULT = "(Default value is 480).";
CABSkinTUREPLACEX = "Position X :";
CABSkinTUREPLACEY = "Y :";
CABSkinSTRATA = "Layer :";
CABSkinCOLOR = "Change colors";
-- Viewport
CABSkinVIEWPORT = "Viewport";
VIEWPORTTXT1 = "Modify the 3D world game size area";
SETVIEWPORT = "Apply settings";
VIEWPORTRIGHT = "Right :";
VIEWPORTLEFT = "Left :";
VIEWPORTBOTTOM = "Bottom :";
VIEWPORTTOP = "Top :";
--button
BTNCLOSE = "Close";
BTNCANCEL = "Cancel";
APPLYSKIN = "Apply the skin";
DEFAULT = "Default";
-- custom frame
CUSTOMSETNAME = "Set Name :";
CUSTOMRULES1 = "Here is the rules for loading a custom texture :";
CUSTOMRULES2 = "1/ You need to have 4 TGA or BLP files (size 512x256 px). Make your own or download an artpack";
CUSTOMRULES3 = "2/ Copy them in the '/interface/addons/CABSkin/skins'";
CUSTOMRULES4 = "3/ Files names MUST end with: '-1.tga','-2.tga','-3.tga','-4.tga'";
CUSTOMRULES5 = "For exemple for files: RoyalBar-1.tga, RoyalBar-2.tga, etc ... ";
CUSTOMRULES6 = "Set the EditBox here with the name of the file like 'RoyalBar' Without the end '-1.tga'";
-- Grid
CABSkinBOXSTEP = "Box step :";
CABSkinSHOWGRID = "Show Grid";

--------------------------------------------------------------------------------------------------------
--                                          frFR			                                  --
--------------------------------------------------------------------------------------------------------
if ( GetLocale() == "frFR" ) then
-- Slash command
SLASHLOAD = " par Dyeslee est charg\195\169. |c00bfffffUtilisez '/CS Menu' pour les options de configuration.|r";
SLASHCS = "- vous pouvez utiliser /CABS comme raccourcis pour /CABSkin.";
SLASHCONF = "- /CS Menu: pour le menu de configuration.";
SLASHRESET = "- /CABSkin reset : pour charger la configuration par d\195\169faut.";
SLASHREMOVE = "- /CABSkin remove : retirer la skin actuelle.";
SLASHCUSTOM = "- /CABSkin custom : lance la fen\195\170tre de chargement de skin custom.";
SLASHVIEWPORT = "- /CABSkin viewport : lance le menu viewport";
-- config menu
SKINCHOOSE = "Choisissez l'apparence :";
SETHEIGHT = "Param\195\169trez la hauteur :";
HEIGHTDEFAULT = "(la valeur par d\195\169faut est 256).";
SETALPHA = "Param\195\169trez la transparence :";
ALPHADEFAULT = "(la valeur par d\195\169faut est 100%).";
SETWIDTH = "Param\195\169trez la largueur :";
WIDHTDEFAULT = "(la valeur par d\195\169faut est 480).";
CABSkinTUREPLACEX = "Position X :";
CABSkinTUREPLACEY = "Y :";
CABSkinSTRATA = "Couche :";
CABSkinCOLOR = "Changer couleurs";
-- Viewport
CABSkinVIEWPORT = "Viewport";
VIEWPORTTXT1 = "Modifier la taille de la fenetre 3D du jeu";
SETVIEWPORT = "Appliquer";
VIEWPORTRIGHT = "Droite :";
VIEWPORTLEFT = "Gauche :";
VIEWPORTBOTTOM = "Bas :";
VIEWPORTTOP = "Haut :";
--boutons
BTNCLOSE = "Fermer";
BTNCANCEL = "Annuler";
APPLYSKIN = "Appliquer la skin";
DEFAULT = "Remise \195\160 Z\195\169ro";
-- custom frame
CUSTOMSETNAME = "Nom de la skin :";
CUSTOMRULES1 = "Veuillez suivre les r\195\169gles suivantes pour charger une skin externe :";
CUSTOMRULES2 = "1/ Vous devez posseder 4 fichiers images TGA ou BLP(size 512x256 px). Cr\195\169ez le votre ou t\195\169l\195\169charger en un";
CUSTOMRULES3 = "2/ Copiez les fichers dans '/interface/addons/CABSkin/skins'";
CUSTOMRULES4 = "3/ Chaque fichier DOIT se terminer par: '-1.tga','-2.tga','-3.tga','-4.tga'";
CUSTOMRULES5 = "Par exemple pour les fichiers: RoyalBar-1.tga, RoyalBar-2.tga, etc ... ";
CUSTOMRULES6 = "Param\195\169trez le nom 'RoyalBar' sans le '-1.tga'";
-- Grid
CABSkinBOXSTEP = "Interval :";
CABSkinSHOWGRID = "Afficher Grille";
end
--------------------------------------------------------------------------------------------------------
--                                          Russian			                                          --
--------------------------------------------------------------------------------------------------------
if (GetLocale() == "ruRU") then
-- Slash command
SLASHLOAD = "Тиггы активизировал addon.|c00bfffff использовать '/CS Menu' для возможностей конфигурации|r";
SLASHCS = "- вы можете использовать /CABS для сокращенного к /CABSkin.";
SLASHCONF = "- /CS Menu: для конфигурации.";
SLASHRESET = "- /CABSkin reset : Перезагрузка.";
SLASHREMOVE = "- /CABSkin remove : удалите actual skin.";
SLASHCUSTOM = "- /CABSkin custom : переключите окна заказной конфигурации.";
SLASHVIEWPORT = "- /CABSkin viewport : переключение просмотра меню";
-- config menu
SKINCHOOSE = "выбирать skin :";
SETHEIGHT = "выбирать высоту :";
HEIGHTDEFAULT = "(Ценность- 256).";
SETALPHA = "выбирать прозрачность :";
ALPHADEFAULT = "(Ценность -100%).";
SETWIDTH = "выбирать ширину:";
WIDHTDEFAULT = "(Ценность -480).";
CABSkinTUREPLACEX = "Позиция X :";
CABSkinTUREPLACEY = "Y :";
CABSkinSTRATA = "Слой :";
CABSkinCOLOR = "Изменение цвета";
-- Viewport
CABSkinVIEWPORT = "Viewport";
VIEWPORTTXT1 = "Изменить 3D мир игры размер площади";
SETVIEWPORT = "Применитесь";
VIEWPORTRIGHT = "правый :";
VIEWPORTLEFT = "левый :";
VIEWPORTBOTTOM = "низко :";
VIEWPORTTOP = "верх :";
--button
BTNCLOSE = "закрыть";
BTNCANCEL = "Отмените";
APPLYSKIN = "Применитесь skin";
DEFAULT = "первоначальные параметры";
-- custom frame
CUSTOMSETNAME = "выбирать имя :";
CUSTOMRULES1 = "Вот правила для того, чтобы загрузить таможенную структуру";
CUSTOMRULES2 = "1/Вы должны иметь 4 TGA/BLP(размер 512x256 px).Сделайте свое собственное или загрузите artpack";
CUSTOMRULES3 = "2/Скопируйте их в '/interface/addons/CABSkin/skins '";
CUSTOMRULES4 = "3/Названия файлов ДОЛЖНЫ закончиться:'-1.tga','-2.tga','-3.tga','-4.tga'";
CUSTOMRULES5 = "на премер для файлов : RoyalBar-1.tga, RoyalBar-2.tga,etc...";
CUSTOMRULES6 = "установите EditBox здесь с названием файла как 'RoyalBar' Без конца '-1.tga'";
-- Grid
CABSkinBOXSTEP = "Box step :";
CABSkinSHOWGRID = "Show Grid";
end
--------------------------------------------------------------------------------------------------------
--                                          German                                                    --
--------------------------------------------------------------------------------------------------------
if ( GetLocale() == "deDE" ) then
-- Slash command
SLASHLOAD = " von Dyeslee ist geladen. |c00bfffffBenutze '/CS Menu' fuer die Konfigurationsoptionen.|r";
SLASHCS = "- du kannst /CABS als Abkuerzung fuer /CABSkin benutzen.";
SLASHCONF = "- /CS Menu: fuer die Konfiguration.";
SLASHRESET = "- /CABSkin reset : fuer die Standardeinstellungen.";
SLASHREMOVE = "- /CABSkin remove : um aktuellen Skin zu entfernen.";
SLASHCUSTOM = "- /CABSkin custom : um selbstgemachte Skins zu aktivieren.";
SLASHVIEWPORT = "- /CABSkin viewport : Viewport-Menü anzeigen";
-- config menu
SKINCHOOSE = "Waehle den Skin :";
SETHEIGHT = "Hoehe :";
HEIGHTDEFAULT = "(Standardwert ist 256).";
SETALPHA = "Transparenz :";
ALPHADEFAULT = "(Standardwert ist 100%).";
SETWIDTH = "Breite :";
WIDHTDEFAULT = "(Standardwert ist 480)."
CABSkinTUREPLACEX = "Position X :";
CABSkinTUREPLACEY = "Y :";
CABSkinSTRATA = "Schicht :";
CABSkinCOLOR = "Farben ändern";
-- Viewport
CABSkinVIEWPORT = "Viewport";
VIEWPORTTXT1 = "Ändern Sie die 3D-Welt-Spiel Dimensionen";
SETVIEWPORT = "Benutze";
VIEWPORTRIGHT = "Rechts :";
VIEWPORTLEFT = "Verließ :";
VIEWPORTBOTTOM = "Boden :";
VIEWPORTTOP = "Hoch :";
--button
BTNCLOSE = "Schliessen";
BTNCANCEL = "Abbrechen";
APPLYSKIN = "Benutze den Skin";
DEFAULT = "Standard";
-- custom frame
CUSTOMSETNAME = "Setze Namen :";
CUSTOMRULES1 = "Hier sind die Regeln, um selbstgemachte Skins zu benutzen :";
CUSTOMRULES2 = "1/ Du brauchst 4 TGA/BLP Dateien. Erstellen deine eigenen oder downloade ein Artpack.";
CUSTOMRULES3 = "2/ Kopiere sie in '/interface/addons/CABSkin/skins'";
CUSTOMRULES4 = "3/ Dateien muessen so enden: '-1.tga','-2.tga','-3.tga','-4.tga'";
CUSTOMRULES5 = "Zum Beispiel: RoyalBar-1.tga, RoyalBar-2.tga, etc ... ";
CUSTOMRULES6 = "Stelle in der EditBox fuer den Namen nur 'RoyalBar' ein. Ohne das Ende '-1.tga'";
-- Grid
CABSkinBOXSTEP = "Box step :";
CABSkinSHOWGRID = "Zeige Gitter";
end
--------------------------------------------------------------------------------------------------------
--                                          zhCN		                                              --
--------------------------------------------------------------------------------------------------------
if ( GetLocale() == "zhCN" ) then
-- Slash command
SLASHLOAD = " by Dyeslee 已加载. |c00bfffff使用 '/CS Menu' 进行设置.|r";
SLASHCS = "- 你可以使用 /CABS 来代替 /CABSkin.";
SLASHCONF = "- /CS Menu: 设置.";
SLASHRESET = "- /CABSkin reset : 设置为默认.";
SLASHREMOVE = "- /CABSkin remove : 移除当前皮肤.";
SLASHCUSTOM = "- /CABSkin custom : 开启自定义设置窗口.";
SLASHVIEWPORT = "- /CABSkin viewport : 切换视图菜单";
-- config menu
SKINCHOOSE = "选择皮肤 :";
SETHEIGHT = "设置高度 :";
HEIGHTDEFAULT = "(默认值为 256).";
SETALPHA = "设置透明度 :";
ALPHADEFAULT = "(默认值为 100%).";
SETWIDTH = "设置宽度 :";
WIDHTDEFAULT = "(默认值为 480).";
CABSkinTUREPLACEX = "立场 X :";
CABSkinTUREPLACEY = "Y :";
CABSkinSTRATA = "阶层 :";
CABSkinCOLOR = "改变颜色";
-- Viewport
CABSkinVIEWPORT = "Viewport";
VIEWPORTTXT1 = "修改3D世界游戏面积";
SETVIEWPORT = "应用设置";
VIEWPORTRIGHT = "右边 :";
VIEWPORTLEFT = "左边 :";
VIEWPORTBOTTOM = "低的 :";
VIEWPORTTOP = "顶端 :";
--button
BTNCLOSE = "关闭";
BTNCANCEL = "取消";
APPLYSKIN = "应用此皮肤";
DEFAULT = "默认";
-- custom frame
CUSTOMSETNAME = "设置名 :";
CUSTOMRULES1 = "加载自定义材质的说明 :";
CUSTOMRULES2 = "1/ 你必须有4个TGA/BLP文件(大小 512x256 像素). 你可以自己制作或者下载皮肤包";
CUSTOMRULES3 = "2/ 复制到目录 '/interface/addons/CABSkin/skins'";
CUSTOMRULES4 = "3/ 文件名必须如下结尾: '-1.tga','-2.tga','-3.tga','-4.tga'";
CUSTOMRULES5 = "例如: RoyalBar-1.tga, RoyalBar-2.tga, 等 ... ";
CUSTOMRULES6 = "设置如下的设置名为 'RoyalBar' ，不要加上后缀 '-1.tga'";
-- Grid
CABSkinBOXSTEP = "间距 :";
CABSkinSHOWGRID = "显示网格";
end
--------------------------------------------------------------------------------------------------------
--                                          zhTW                                                      --
--------------------------------------------------------------------------------------------------------
if ( GetLocale() == "zhTW" ) then
-- Slash command
SLASHLOAD = " by Dyeslee 已加載. |c00bfffff使用 '/CS Menu' 進行設置.|r";
SLASHCS = "- 妳可以使用 /CABS 來代替 /CABSkin.";
SLASHCONF = "- /CS Menu: 設置.";
SLASHRESET = "- /CABSkin reset : 設置為默認.";
SLASHREMOVE = "- /CABSkin remove : 移除當前皮膚.";
SLASHCUSTOM = "- /CABSkin custom : 開啟自定義設置窗口.";
SLASHVIEWPORT = "- /CABSkin viewport : 切換視圖菜單";
-- config menu
SKINCHOOSE = "選擇皮膚 :";
SETHEIGHT = "設置高度 :";
HEIGHTDEFAULT = "(默認值為 256).";
SETALPHA = "設置透明度 :";
ALPHADEFAULT = "(默認值為 100%).";
SETWIDTH = "設置寬度 :";
WIDHTDEFAULT = "(默認值為 480).";
CABSkinTUREPLACEX = "立場 X :";
CABSkinTUREPLACEY = "Y :";
CABSkinSTRATA = "階層 :";
CABSkinCOLOR = "改變顏色";
-- Viewport
CABSkinVIEWPORT = "Viewport";
VIEWPORTTXT1 = "修改3D世界遊戲面積";
SETVIEWPORT = "應用設置";
VIEWPORTRIGHT = "右邊 :";
VIEWPORTLEFT = "左邊 :";
VIEWPORTBOTTOM = "低的 :";
VIEWPORTTOP = "頂端 :";
--button
BTNCLOSE = "關閉";
BTNCANCEL = "取消";
APPLYSKIN = "應用此皮膚";
DEFAULT = "默認";
-- custom frame
CUSTOMSETNAME = "設置名 :";
CUSTOMRULES1 = "加載自定義材質的說明 :";
CUSTOMRULES2 = "1/ 妳必須有4個TGA/BLP文件(大小 512x256 像素). 妳可以自己制作或者下載皮膚包";
CUSTOMRULES3 = "2/ 復制到目錄 '/interface/addons/CABSkin/skins'";
CUSTOMRULES4 = "3/ 文件名必須如下結尾: '-1.tga','-2.tga','-3.tga','-4.tga'";
CUSTOMRULES5 = "例如: RoyalBar-1.tga, RoyalBar-2.tga, 等 ... ";
CUSTOMRULES6 = "設置如下的設置名為 'RoyalBar' ，不要加上後綴 '-1.tga'";
-- Grid
CABSkinBOXSTEP = "間距 :";
CABSkinSHOWGRID = "顯示網格";
end
